
QGIS Application - Bug report #14296

Enter a string in filter of the browser cause a crash

2016-02-15 02:38 AM - Alain FERRATON

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Unknown

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 22287

Description

in browser enter a filter string (sample : *.shp) cause a crash

I used the new feature developed by Nathan Woodrow : hidden path in the browser

Associated revisions

Revision 14f9a888 - 2016-02-16 04:12 AM - Nyall Dawson

Follow up c6c8277, fix bad behaviour of QgsBrowserModel introduced

by 44d9b35 (fix #14296)

History

#1 - 2016-02-15 12:50 PM - Nyall Dawson

- Priority changed from Normal to Severe/Regression

Bisected to between c3a57434d95cf710cfdd971378cbb3dd5c3f9c70 (good) and 0796df00fb912caad16afc700635b385b39a88cd (bad)

#2 - 2016-02-15 07:19 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"14f9a888111a69a1679ffa9b4cc79cdeaccc7702".

#3 - 2017-09-22 10:05 AM - Jürgen Fischer

- Category set to Unknown
